Package Details: gdcm 3.0.8-1

Git Clone URL: https://aur.archlinux.org/gdcm.git (read-only, click to copy)
Package Base: gdcm
Description: a C++ library for DICOM medical files
Upstream URL: http://gdcm.sourceforge.net
Keywords: DICOM Python
Licenses: BSD
Submitter: giniu
Maintainer: tfmoraes
Last Packager: tfmoraes
Votes: 27
Popularity: 0.184490
First Submitted: 2013-01-10 11:55
Last Updated: 2020-10-09 21:30

Latest Comments

« First ‹ Previous 1 2 3 4 Next › Last »

thx1138 commented on 2015-12-07 15:38

Also a dependency: openmpi

/usr/sbin/ld: warning: libmpi.so.12, needed by /usr/lib/libvtkIOMPIParallel.so.1, not found (try using -rpath or -rpath-link)
/usr/sbin/ld: warning: libmpi_cxx.so.1, needed by /usr/lib/libvtkIOMPIParallel.so.1, not found (try using -rpath or -rpath-link)

Thanks everyone.

muefra00 commented on 2015-12-07 12:59

@yan12125 Thanks for the PKGBUILD

It would appear that package by the name of gl2ps is also a dependency:
[100%] Building CXX object Utilities/VTK/Applications/CMakeFiles/gdcm2pnm.dir/gdcm2pnm.cxx.o
make[2]: *** No rule to make target '/usr/lib64/libgl2ps.so', needed by 'bin/gdcm2pnm'. Stop.

With gl2ps package installed it works perfectly.

giniu commented on 2015-10-23 18:51

Thanks, I will look into it.

yan12125 commented on 2015-10-23 18:21

A working PKGBUILD for VTK 6.3+GDCM 2.6.0: https://gist.github.com/yan12125/2f0765eb2ef20ac07d35

I follow the ideas listed in http://www.mitk.org/wiki/VTK6_Migration_Guide

neurignacio commented on 2015-09-21 13:13

GDCM 2.6.0 was last updated on 2015-09-03

manzo commented on 2014-12-22 16:33

Looks like the tar changed:

==> Validating source files with md5sums...
gdcm-2.4.4.tar.bz2 ... FAILED

giniu commented on 2014-11-25 21:41

It is kind of temporary - we are working on updating vtk to 6.1 and it is wasn't tested yet with any packages - vtk5 is exact copy of vtk from community when we started (last version we know that worked). Notice, that in community-staging there is already first version of vtk 6.1.

When ready, vtk at version 6.1 will move to extra from community (as new dependency of opencv) and then I will start checking which vtk packages work with 6.1. Lack of compatibility was sole reason of dropping mayavi from community to AUR and creating legacy vtk5 package.

For now, if you don't want to build vtk5, or if vtk 6.1 works for you, then just update PKGBUILD accordingly. I hope the situation will be resolved soon.

stepo commented on 2014-11-25 21:30

Is there any reason why vtk5 (from AUR) is used as a dependency? I just tried gdcm compiled with modified PKGBUILD where vtk (from community) is used instead of vtk5 and it works fine.

giniu commented on 2014-05-01 15:35

True, I've disabled C# bindings for now. Will look if we can fix them.

v3l0c1r4pt0r commented on 2014-04-23 17:25

Compilation is failing at:
[ 77%] csc *.cs
AssemblyInfo.cs(73,12): warning CS1699: Use compiler option `keyfile' or appropriate project settings instead of `AssemblyKeyFile' attribute
TagSetType.cs(11,27): error CS0246: The type or namespace name `IDisposable' could not be found. Are you missing `System' using directive?
ValuesType.cs(11,27): error CS0246: The type or namespace name `IDisposable' could not be found. Are you missing `System' using directive?
Looks like the workaround is turning off "-DGDCM_WRAP_CSHARP:BOOL" and commenting out "mv *.dll mono/2.0". At least insight-toolkit compiled without that part.